import { DocumentNode } from "graphql/language";
import { MutationDocumentNode, QueryDocumentNode, SubscriptionDocumentNode } from "./graphql.type";
export declare function createQuery<T, U = any>(documentNode: DocumentNode, extract: string, variables?: U): QueryDocumentNode<T, U>;
export declare function createSubscription<T, U = any>(documentNode: DocumentNode, extract: string, variables?: U): SubscriptionDocumentNode<T, U>;
export declare function createMutation<T, U = any>(documentNode: DocumentNode, extract: string, variables?: U): MutationDocumentNode<T, U>;
