import { RsocketService } from "../rsocket/rsocket.service";
import { MutationDocumentNode, QueryDocumentNode, SubscriptionDocumentNode } from "./graphql.type";
import * as i0 from "@angular/core";
export declare class GraphqlService {
    private rsocketService;
    private _graphqlClient;
    constructor(rsocketService: RsocketService);
    query<T>(query: QueryDocumentNode<T>): import("rxjs").Observable<T>;
    subscription<T>(subscription: SubscriptionDocumentNode<T>): import("rxjs").Observable<import("./graphql.type").GraphqlSubscribe<T>>;
    mutation<T>(mutation: MutationDocumentNode<T>): import("rxjs").Observable<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GraphqlService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GraphqlService>;
}
