import { Payload } from "rsocket-core";
interface RouteHandle<T = undefined> {
    route: string;
    handle: (data: T) => void;
    type?: 'string' | 'json';
}
export declare function registerRoute<T>({ route, handle, type }: RouteHandle<T>): void;
export declare function deleteRoute(route: string | RegExp): void;
export declare function handleFireAndForget(payload: Payload): void;
export {};
