import { RsocketClient } from "./rsocket-client";
import { RsocketConfig } from "./rsocket-config";
import { Auth, ChannelParam, ConnectionStatus, FireAndForgotParam } from "./rsocket.type";
import * as i0 from "@angular/core";
export declare class RsocketService {
    rsocketClient: RsocketClient;
    constructor();
    connect(): void;
    get connectionStatus(): import("rxjs").BehaviorSubject<ConnectionStatus>;
    get networkStatus(): import("rxjs").Observable<import("./rsocket.type").NetWorkStatus>;
    fireAndForget(payload: FireAndForgotParam): void;
    requestChannel(params: ChannelParam): import("rxjs").Observable<import("rsocket-core").OnTerminalSubscriber & import("rsocket-core").OnNextSubscriber & import("rsocket-core").OnExtensionSubscriber & import("rsocket-core").Requestable & import("rsocket-core").Cancellable>;
    setConfig(config: RsocketConfig): void;
    setAuth(auth: Auth): void;
    setConnected(): void;
    error(): import("rxjs").Observable<Error>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RsocketService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RsocketService>;
}
